Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447974 - [science overlay] sci-libs/gmsh-2.5.0-r1 fails to build
Summary: [science overlay] sci-libs/gmsh-2.5.0-r1 fails to build
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-20 17:39 UTC by Antoine Lemoine
Modified: 2019-08-05 06:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_447974.txt,544.67 KB, text/plain)
2012-12-20 17:41 UTC, Antoine Lemoine
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Lemoine 2012-12-20 17:39:05 UTC
sci-libs/gmsh-2.5.0-r1 fails to build

Reproducible: Always




Portage 2.1.11.38 (default/linux/amd64/10.0/desktop/gnome, gcc-4.7.2, glibc-2.16.0, 3.7.1-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.7.1-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.2
Timestamp of tree: Thu, 20 Dec 2012 16:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
ccache version 3.1.8 [enabled]
app-shells/bash:          4.2_p39-r1
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo science steam-overlay local
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -floop-interchange -floop-strip-mine -floop-block"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -floop-interchange -floop-strip-mine -floop-block"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/"
LANG="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_BUNZIP2_COMMAND="lbunzip2"
PORTAGE_BZIP2_COMMAND="lbzip2"
PORTAGE_COMPRESS="lbzip2"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/steam-overlay /usr/local/portage"
SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avx bash-completion berkdb boost branding bzip2 cairo cdda cdr cleartype cli colord consolekit corefonts cracklib crypt ctype cxx dbus djvu dri dts dvd dvdr emboss encode evo examples exif fam ffmpeg firefox flac fortran gdbm gif gnome gnome-keyring gnome-online-accounts gpm graphite gstreamer gtk iconv icu ipv6 jpeg jpeg2k lcms ldap libnotify lm_sensors mad mmx mng modules mp3 mp4 mpeg mudflap multilib mysql nautilus ncurses nls nptl ntfs nvidia objc objc++ objc-gc ogg opengl openmp pam pango pcre pdf php plugins png policykit ppds pppd pulseaudio qt3support qt4 quicktime readline remote sasl sdl session socialweb spell sse sse2 sse3 sse4 sse4_1 ssl ssse3 startup-notification svg symlink tcpd threads tiff truetype udev udisks unicode upnp upower usb v4l vim-syntax vorbis wxwidgets x264 xcb xml xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Antoine Lemoine 2012-12-20 17:41:01 UTC
Created attachment 332806 [details]
build.log
Comment 2 Stephen Bosch 2013-04-03 16:40:50 UTC
Is anybody maintaining this at all? gmsh is already at 2.7.
Comment 3 Christoph Junghans gentoo-dev 2013-04-03 16:47:18 UTC
Oliver has bumped it last, but feel free to bump it yourself and ask for inclusion via a pull-request on github.
Comment 4 Stephen Bosch 2013-04-09 13:59:56 UTC
(In reply to comment #3)
> Oliver has bumped it last, but feel free to bump it yourself and ask for
> inclusion via a pull-request on github.

Okay, I have made a new ebuild and resolved all the build errors, set up an account on github, and pushed my branch.

The repo is pajot/gentoo-science. I'm new to github; how do I set up the pull request? It shows only my own branches and tells me everything is up-to-date.
Comment 5 Justin Lecher gentoo-dev 2013-04-09 14:06:53 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Oliver has bumped it last, but feel free to bump it yourself and ask for
> > inclusion via a pull-request on github.
> 
> Okay, I have made a new ebuild and resolved all the build errors, set up an
> account on github, and pushed my branch.
> 
> The repo is pajot/gentoo-science. I'm new to github; how do I set up the
> pull request? It shows only my own branches and tells me everything is
> up-to-date.

You need to fork the sci overlay, push your changes to the fork and the click the pull request button on the website.
Comment 6 Stephen Bosch 2013-04-09 14:18:35 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > The repo is pajot/gentoo-science. I'm new to github; how do I set up the
> > pull request? It shows only my own branches and tells me everything is
> > up-to-date.
> 
> You need to fork the sci overlay, push your changes to the fork and the
> click the pull request button on the website.

Done.